DKBSignDocs

API reference

GETRequires Bearer token

Get ai auth check

/api/ai/auth/check

Retrieve /api/ai/auth/check. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Auth probe
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/ai/auth/check' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "authenticated": true,
  "user_id": "4",
  "org_id": "1"
}